Debian Bug report logs - #642005
general: maximum size of SHM memory blocks to low

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Yami Shi <yami.shi.games2@gmail.com>

Date: Sun, 18 Sep 2011 14:15:42 UTC

Severity: wishlist

Tags: upstream, wontfix

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#642005; Package general. (Sun, 18 Sep 2011 14:15:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yami Shi <yami.shi.games2@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. (Sun, 18 Sep 2011 14:15:45 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yami Shi <yami.shi.games2@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: maximum size of SHM memory blocks to low
Date: Sun, 18 Sep 2011 10:06:11 +0000
Package: general
Severity: grave
Justification: renders package unusable

I know the program I'll basing this on isn't part of Debian but here it goes.
I'm an Avast user and in my search for a solution I found that this problem is
due to the basic kernel variable settings which renders Avast unable to update
the virus database and probably effects other programs. The people on the Avast
forums have found a fix but it makes it mandates an extra hook commander to
make a Debian Live image to find system infections. Here is the forums link for
the problem and solution: http://forum.avast.com/index.php?topic=57775.0 I hope
this can be addressed in a update soon so that people can use Debian Live to
find and remove infections on their computers a little bit better.



-- System Information:
Debian Release: 6.0.2  Note: Custom Debian Live build
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#642005; Package general. (Sun, 18 Sep 2011 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sun, 18 Sep 2011 14:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 642005@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Yami Shi <yami.shi.games2@gmail.com>, 642005@bugs.debian.org
Subject: Re: Bug#642005: general: maximum size of SHM memory blocks to low
Date: Sun, 18 Sep 2011 15:28:52 +0100
On Sun, Sep 18, 2011 at 10:06:11AM +0000, Yami Shi wrote:
> Package: general
> Severity: grave
> Justification: renders package unusable
> 
> I know the program I'll basing this on isn't part of Debian but here it goes.
> I'm an Avast user and in my search for a solution I found that this problem is
> due to the basic kernel variable settings which renders Avast unable to update
> the virus database and probably effects other programs. The people on the Avast
> forums have found a fix but it makes it mandates an extra hook commander to
> make a Debian Live image to find system infections. Here is the forums link for
> the problem and solution: http://forum.avast.com/index.php?topic=57775.0 I hope
> this can be addressed in a update soon so that people can use Debian Live to
> find and remove infections on their computers a little bit better.

Avast is using SYSV SHM.  One solution is that it should be using POSIX
SHM which will generally have much less restriction upon the available
memory (defaults to half of the available RAM).

This isn't a grave bug BTW, it's just a configuration detail.  In most
cases, 32MIB is more than plenty, and Avast failing when it runs out
is a bug in Avast.  It's quite likely that this is due to a design flaw
in Avast in general by having unrealistic expectations and failing to
cope when these aren't met.  What on earth does it need all that shared
memory for that couldn't be shared by either
 1) having it as a file on disc that all processes can open and map in
 2) forking and inheriting the parent's data
 3) using POSIX SHM
?


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Severity set to 'normal' from 'grave' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 18 Sep 2011 14:42:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#642005; Package general. (Sun, 18 Sep 2011 14:49:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sun, 18 Sep 2011 14:49:05 GMT) Full text and rfc822 format available.

Message #17 received at 642005@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Yami Shi <yami.shi.games2@gmail.com>, 642005@bugs.debian.org
Subject: Re: Bug#642005: general: maximum size of SHM memory blocks to low
Date: Sun, 18 Sep 2011 11:46:45 -0300
reassign 642005 live-config
severity 642005 wishlist
thanks

On Sun, 18 Sep 2011, Yami Shi wrote:
> Package: general
> Severity: grave
> Justification: renders package unusable

We use that severity+justification when a bug in a package makes the package
ITSELF unusable.

Configuration errors are your own problem, especially on LiveCD images where
much RAM has to be set aside for proper operation of the live environment
and it is very debatable where large SHM limits would make sense by default.

Downgrading to wishlist.

> -- System Information:
> Debian Release: 6.0.2  Note: Custom Debian Live build

Reassigning to Debian live-config, please reassign elsewhere if
innapropriate.  Note that non-live Debian installs have fairly large SHM
limits (kernel default, which is half your RAM on Linux), don't reassign
this to initscripts.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Bug reassigned from package 'general' to 'live-config'. Request was from Henrique de Moraes Holschuh <hmh@debian.org> to control@bugs.debian.org. (Sun, 18 Sep 2011 14:49:06 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Henrique de Moraes Holschuh <hmh@debian.org> to control@bugs.debian.org. (Sun, 18 Sep 2011 14:49:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642005; Package live-config. (Sun, 18 Sep 2011 15:18:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 18 Sep 2011 15:18:32 GMT) Full text and rfc822 format available.

Message #26 received at 642005@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: debian-devel <debian-devel@lists.debian.org>, 642005@bugs.debian.org
Subject: Re: Bug#642005: general: maximum size of SHM memory blocks to low
Date: Sun, 18 Sep 2011 17:14:11 +0200
On 09/18/2011 04:46 PM, Henrique de Moraes Holschuh wrote:

> Reassigning to Debian live-config, please reassign elsewhere if
> innapropriate.  Note that non-live Debian installs have fairly large SHM
> limits (kernel default, which is half your RAM on Linux), don't reassign
> this to initscripts.

32MiB is not half of my 8GB RAM :)

% sudo sysctl kernel.shmmax
kernel.shmmax = 33554432

I also had to adjust that for some proprietary products I had to run :/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642005; Package live-config. (Mon, 19 Sep 2011 01:16:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 19 Sep 2011 01:16:26 GMT) Full text and rfc822 format available.

Message #31 received at 642005@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Evgeni Golov <evgeni@debian.org>
Cc: debian-devel <debian-devel@lists.debian.org>, 642005@bugs.debian.org
Subject: Re: Bug#642005: general: maximum size of SHM memory blocks to low
Date: Sun, 18 Sep 2011 22:12:04 -0300
On Sun, 18 Sep 2011, Evgeni Golov wrote:
> On 09/18/2011 04:46 PM, Henrique de Moraes Holschuh wrote:
> > Reassigning to Debian live-config, please reassign elsewhere if
> > innapropriate.  Note that non-live Debian installs have fairly large SHM
> > limits (kernel default, which is half your RAM on Linux), don't reassign
> > this to initscripts.
> 
> 32MiB is not half of my 8GB RAM :)

Since it was not the kernel who set it to 32MiB, that's hardly surprising, I
should say :-p

Squeeze's initscripts use the kernel default (50% of your RAM).  unstable's
initscripts will set it to 20% of your RAM.  If it is not live-config which
is forcing it to 32MiB, please track down whatever is doing it, and reassign
the bug...

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642005; Package live-config. (Mon, 19 Sep 2011 08:13:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 19 Sep 2011 08:13:34 GMT) Full text and rfc822 format available.

Message #36 received at 642005@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: debian-devel <debian-devel@lists.debian.org>, 642005@bugs.debian.org
Subject: Re: Bug#642005: general: maximum size of SHM memory blocks to low
Date: Mon, 19 Sep 2011 10:11:51 +0200
On 09/19/2011 03:12 AM, Henrique de Moraes Holschuh wrote:
> On Sun, 18 Sep 2011, Evgeni Golov wrote:
>> On 09/18/2011 04:46 PM, Henrique de Moraes Holschuh wrote:
>>> Reassigning to Debian live-config, please reassign elsewhere if
>>> innapropriate.  Note that non-live Debian installs have fairly large SHM
>>> limits (kernel default, which is half your RAM on Linux), don't reassign
>>> this to initscripts.
>>
>> 32MiB is not half of my 8GB RAM :)
> 
> Since it was not the kernel who set it to 32MiB, that's hardly surprising, I
> should say :-p
> 
> Squeeze's initscripts use the kernel default (50% of your RAM).  unstable's
> initscripts will set it to 20% of your RAM.  If it is not live-config which
> is forcing it to 32MiB, please track down whatever is doing it, and reassign
> the bug...

Mhh, I can't find *any* reference to shmmax in /etc (neither on Squeeze,
nor Sid). Are we talking the *same* SHM? Roger pointed out there are two
kinds of it.

regards
Evgeni




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642005; Package live-config. (Mon, 19 Sep 2011 09:20:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fweimer@bfk.de>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 19 Sep 2011 09:20:10 GMT) Full text and rfc822 format available.

Message #41 received at 642005@bugs.debian.org (full text, mbox):

From: Florian Weimer <fweimer@bfk.de>
To: Evgeni Golov <evgeni@debian.org>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, debian-devel <debian-devel@lists.debian.org>, 642005@bugs.debian.org
Subject: Re: Bug#642005: general: maximum size of SHM memory blocks to low
Date: Mon, 19 Sep 2011 08:36:05 +0000
* Evgeni Golov:

> Mhh, I can't find *any* reference to shmmax in /etc (neither on Squeeze,
> nor Sid). Are we talking the *same* SHM? Roger pointed out there are two
> kinds of it.

And you also have to set kernel.shmall on large systems.

PostgreSQL is another application which does not work well with kernel
defaults.  The default configuration works fine, but in most cases, you
want to increase the size of its shared memory pool.

-- 
Florian Weimer                <fweimer@bfk.de>
BFK edv-consulting GmbH       http://www.bfk.de/
Kriegsstraße 100              tel: +49-721-96201-1
D-76133 Karlsruhe             fax: +49-721-96201-99




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642005; Package live-config. (Mon, 19 Sep 2011 17:38:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 19 Sep 2011 17:38:23 GMT) Full text and rfc822 format available.

Message #46 received at 642005@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 642005-submitter@bugs.debian.org
Cc: 642005@bugs.debian.org
Subject: Re: Bug#642005: general: maximum size of SHM memory blocks to low
Date: Mon, 19 Sep 2011 19:34:12 +0200
reassign 642005 general
thanks

On 09/19/2011 03:12 AM, Henrique de Moraes Holschuh wrote:
> Squeeze's initscripts use the kernel default (50% of your RAM).  unstable's
> initscripts will set it to 20% of your RAM.  If it is not live-config which
> is forcing it to 32MiB, please track down whatever is doing it, and reassign
> the bug...

live-config does not do anything with SHM size, nor should it as far as 
i can see. reassigning back to general until someone can find the real 
cause for it.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reassigned from package 'live-config' to 'general'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 19 Sep 2011 17:38:26 GMT) Full text and rfc822 format available.

Message sent on to Yami Shi <yami.shi.games2@gmail.com>:
Bug#642005. (Mon, 19 Sep 2011 17:38:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#642005; Package general. (Tue, 20 Sep 2011 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Tue, 20 Sep 2011 04:18:03 GMT) Full text and rfc822 format available.

Message #56 received at 642005@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Evgeni Golov <evgeni@debian.org>
Cc: debian-devel <debian-devel@lists.debian.org>, 642005@bugs.debian.org
Subject: Re: Bug#642005: general: maximum size of SHM memory blocks to low
Date: Tue, 20 Sep 2011 01:14:40 -0300
reassign 642005 linux-2.6
thanks

On Mon, 19 Sep 2011, Evgeni Golov wrote:
> On 09/19/2011 03:12 AM, Henrique de Moraes Holschuh wrote:
> > On Sun, 18 Sep 2011, Evgeni Golov wrote:
> >> On 09/18/2011 04:46 PM, Henrique de Moraes Holschuh wrote:
> >>> Reassigning to Debian live-config, please reassign elsewhere if
> >>> innapropriate.  Note that non-live Debian installs have fairly large SHM
> >>> limits (kernel default, which is half your RAM on Linux), don't reassign
> >>> this to initscripts.
> >>
> >> 32MiB is not half of my 8GB RAM :)
> > 
> > Since it was not the kernel who set it to 32MiB, that's hardly surprising, I
> > should say :-p
> > 
> > Squeeze's initscripts use the kernel default (50% of your RAM).  unstable's
> > initscripts will set it to 20% of your RAM.  If it is not live-config which
> > is forcing it to 32MiB, please track down whatever is doing it, and reassign
> > the bug...
> 
> Mhh, I can't find *any* reference to shmmax in /etc (neither on Squeeze,
> nor Sid). Are we talking the *same* SHM? Roger pointed out there are two
> kinds of it.

Good call!  The kernel limits for the ipc-based shm is entirely
untouched by Debian, and the kernel defaults are to limit it to
32MiB-wide chunks (shmmax) out of a system-wide limit of 8GiB (pagesize
* shmmax).

It is that low because that memory is _NOT_ freed on process exit, and
therefore it can leak way too easily.  It has also a long tradition of
being really small by default on all Unixen.

Meh.  I doubt we will touch that default, but I don't really care
strongly in one way or the other.  Reassigning to the kernel.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Bug reassigned from package 'general' to 'linux-2.6'. Request was from Henrique de Moraes Holschuh <hmh@debian.org> to control@bugs.debian.org. (Tue, 20 Sep 2011 04:18:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream and wontfix. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 20 Sep 2011 12:19:29 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Thu, 27 Jun 2013 17:49:28 GMT) Full text and rfc822 format available.

Notification sent to Yami Shi <yami.shi.games2@gmail.com>:
Bug acknowledged by developer. (Thu, 27 Jun 2013 17:49:28 GMT) Full text and rfc822 format available.

Message #65 received at 642005-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 483781-done@bugs.debian.org, 521515-done@bugs.debian.org, 558265-done@bugs.debian.org, 572639-done@bugs.debian.org, 586386-done@bugs.debian.org, 609961-done@bugs.debian.org, 630788-done@bugs.debian.org, 633589-done@bugs.debian.org, 639919-done@bugs.debian.org, 642005-done@bugs.debian.org, 705711-done@bugs.debian.org
Subject: Closing
Date: Thu, 27 Jun 2013 19:45:22 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and has
been tagged "wontfix" for some time, we're closing it now.

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Jul 2013 07:26:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:24:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.